{% extends 'base.html.twig' %}

{% block title %}
{{ wish.title }} | {{ parent() }}
{% endblock %}

{% block body %}
    <section>
        <h2>Detail du souhait : {{ wish.title }}</h2>
        {% if app.user and ('ROLE_ADMIN' in app.user.roles) %}
        <form class="admin" action="{{ path('app_admin_moderate', {'id': wish.id}) }}">
            <input type="submit" value="Moderate" class="admin moderate">
        </form>
        <form class="admin" action="{{ path('app_admin_deleteWish', {'id': wish.id}) }}" method="post">
            <input type="hidden" name="_method" value="DELETE">
            <input type="hidden" name="token" value="{{ csrf_token('delete-item') }}"/>
            <input type="submit" value="Delete" class="admin delete" onclick="if(!window.confirm('Are you sure ?')) return false">
        </form>
        {% endif %}
        <div>
            <h3>Description</h3>
            <p>{{ wish.description }}</p>
        </div>
        <div>
            <h3>Auteur</h3>
            <p>{{ wish.author }}</p>
        </div>
        <div>
            <h3>Date de création</h3>
            <p>{{ wish.dateCreated|date('d/m/Y H:i') }}</p>
        </div>
    </section>
{% endblock %}

